<?xml version="1.0" encoding="utf-8" ?>
<objects xmlns='http://www.springframework.net'
         xmlns:db="http://www.springframework.net/database"
         xmlns:tx="http://www.springframework.net/tx"
         xmlns:aop="http://www.springframework.net/aop">

  <!--Comum-->

  <object id="EnderecoRepository" type="MicroUniverso.Dominio.Repositorio.Fenix.EnderecoRepository, MicroUniverso.Dominio.Repositorio.Fenix" singleton="true" />
  <object id="CidadeRepository" type="MicroUniverso.Dominio.Repositorio.Fenix.CidadeRepository, MicroUniverso.Dominio.Repositorio.Fenix" singleton="true" />
  <object id="EstadoRepository" type="MicroUniverso.Dominio.Repositorio.Fenix.EstadoRepository, MicroUniverso.Dominio.Repositorio.Fenix" singleton="true" />
  <object id="ParametroRepository" type="MicroUniverso.Dominio.Repositorio.Fenix.ParametroRepository, MicroUniverso.Dominio.Repositorio.Fenix" singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="FormaPagamentoRepository" type="MicroUniverso.Dominio.Repositorio.Fenix.FormaPagamentoRepository, MicroUniverso.Dominio.Repositorio.Fenix" singleton="true" />
  <object id="TipoDocumentoRepository" type="MicroUniverso.Dominio.Repositorio.Fenix.TipoDocumentoRepository, MicroUniverso.Dominio.Repositorio.Fenix" singleton="true" />

  <!---->

  <object id="ProdutoRepository" type="MicroUniverso.Dominio.Repositorio.Fenix.ProdutoRepository, MicroUniverso.Dominio.Repositorio.Fenix" singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="ProdutoOrcamentoRepository" type="MicroUniverso.Orcamento.Dominio.Repositorio.Fenix.ProdutoOrcamentoRepository, MicroUniverso.Orcamento.Dominio.Repositorio.Fenix" singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="ClienteRepository" type="MicroUniverso.Orcamento.Dominio.Repositorio.Fenix.ClienteRepository, MicroUniverso.Orcamento.Dominio.Repositorio.Fenix" singleton="true" />
  <object id="OrcamentoRepository" type="MicroUniverso.Orcamento.Dominio.Repositorio.Fenix.OrcamentoRepository, MicroUniverso.Orcamento.Dominio.Repositorio.Fenix" singleton="true" />
  <object id="FilialRepository" type="MicroUniverso.Dominio.Repositorio.Fenix.FilialRepository, MicroUniverso.Dominio.Repositorio.Fenix" singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>
  
  <object id="VendedorRepository" type="MicroUniverso.Dominio.Repositorio.Fenix.VendedorRepository, MicroUniverso.Dominio.Repositorio.Fenix" singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="UsuarioRepository" type="MicroUniverso.Dominio.Repositorio.Fenix.UsuarioRepository, MicroUniverso.Dominio.Repositorio.Fenix" singleton="true" />
  <object id="TipoEntregaRepository" type="MicroUniverso.Orcamento.Dominio.Repositorio.Fenix.TipoEntregaRepository, MicroUniverso.Orcamento.Dominio.Repositorio.Fenix" singleton="true" />
  <object id="PlanoPagamentoRepository" type="MicroUniverso.Orcamento.Dominio.Repositorio.Fenix.PlanoPagamentoRepository, MicroUniverso.Orcamento.Dominio.Repositorio.Fenix" singleton="true" />
  <object id="IndicadorRepository" type="MicroUniverso.Orcamento.Dominio.Repositorio.Fenix.IndicadorRepository, MicroUniverso.Orcamento.Dominio.Repositorio.Fenix" singleton="true" />
  <object id="TransportadoraOrcamentoRepository" type="MicroUniverso.Orcamento.Dominio.Repositorio.Fenix.TransportadoraOrcamentoRepository, MicroUniverso.Orcamento.Dominio.Repositorio.Fenix" singleton="true" />
  <object id="EntregaRepository" type="MicroUniverso.Orcamento.Dominio.Repositorio.Fenix.EntregaRepository, MicroUniverso.Orcamento.Dominio.Repositorio.Fenix" singleton="true" />
  <object id="ProfissionalRepository" type="MicroUniverso.Orcamento.Dominio.Repositorio.Fenix.ProfissionalRepository, MicroUniverso.Orcamento.Dominio.Repositorio.Fenix" singleton="true" />
  <object id="AutorizadoRepository" type="MicroUniverso.Orcamento.Dominio.Repositorio.Fenix.AutorizadoRepository, MicroUniverso.Orcamento.Dominio.Repositorio.Fenix" singleton="true" />
  <object id="FreteRepository" type="MicroUniverso.Orcamento.Dominio.Repositorio.Fenix.FreteRepository, MicroUniverso.Orcamento.Dominio.Repositorio.Fenix" singleton="true" />
  <object id="TipoEntregaOrcamentoRepository" type="MicroUniverso.Orcamento.Dominio.Repositorio.Fenix.TipoEntregaOrcamentoRepository, MicroUniverso.Orcamento.Dominio.Repositorio.Fenix" singleton="true" />
  <object id="LoteProdutoRepository" type="MicroUniverso.Orcamento.Dominio.Repositorio.Fenix.LoteProdutoRepository, MicroUniverso.Orcamento.Dominio.Repositorio.Fenix" singleton="true" />

  <object id="ConfiguracaoFilialRepository" type="MicroUniverso.Orcamento.Dominio.Repositorio.NH.ConfiguracaoFilialRepository, MicroUniverso.Orcamento.Dominio.Repositorio.NH" singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="HistoricoPesquisaRepository" type="MicroUniverso.Dominio.Repositorio.NH.HistoricoPesquisaRepository, MicroUniverso.Dominio.Repositorio.NH" singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="PromocaoRepository" type="MicroUniverso.Dominio.Repositorio.NH.PromocaoRepository, MicroUniverso.Dominio.Repositorio.NH" singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>
  
  <object id="OfertaRepository" type="MicroUniverso.Dominio.Repositorio.NH.OfertaRepository, MicroUniverso.Dominio.Repositorio.NH" singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="AreaVendaRepository" type="MicroUniverso.Dominio.Repositorio.NH.AreaVendaRepository, MicroUniverso.Dominio.Repositorio.NH" singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  

</objects>